#include<iostream>
#include<cmath>
using namespace std;
char s1[26],s2[1000000],a[1000000],prosli,k;
string s;
long long komb,komb1;
int N,j,br=1;
int main(){
	cin>>N;
	for(int i=0;i<N;i++)cin>>s[i];
	for(int i=0;i<N;i++){
		if(i<26)s1[i]=s[i];
		else {
			s2[j]=s[i];
			j++;
		}
	}
	for(int i=1;i<N;i++)if(a[i-1]>a[i]){
		komb=1;
		komb1=1;
		break;
	}
	cout<<"KOMB:"<<komb;
	if(N>=25){
		k=s[25];
		for(int i=0;i<26;i++){
			if(a[i]<=k)j=i;
			if(j==i)break;
		}
		prosli=a[j];
		for(int i=j+1;i<26;i++){
			if(a[i]>k)if(prosli==a[i]){
				br++;
			}
			else{
				komb*=br;
				prosli=a[i];
			}
		}
		for(int i=24;i>=0;i--){
			if(a[i]<=k)j=i;
			if(j==i)break;
		}
		prosli=a[j];
		for(int i=j-1;i>=0;i--){
			if(a[i]>k)if(prosli==a[i]){
				br++;
			}
			else{
				komb1*=br;
				prosli=a[i];
			}
		}
		prosli=k;
		for(int i=27;i<N;i++){
			if(a[i]>k)if(prosli==a[i]){
				br++;
			}
			else{
				komb*=br;
				prosli=a[i];
			}
		}
		for(int i=N-1;i>=26;i--){
			if(a[i]<=k)j=i;
			if(j==i)break;
		}
		prosli=a[j];
		for(int i=j-1;i>=26;i--){
			if(a[i]>k)if(prosli==a[i]){
				br++;
			}
			else{
				komb1*=br;
				prosli=a[i];
			}
		}
	}
	else {
		
	}
	if(komb1<komb)cout<<komb1;
	else cout<<komb;
	return 0;
}